- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# pn_port_config – CLI command to modify port-config

New in version 2.8.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- This module can be used to modify a port configuration.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_allowed_tpid string | Choices: vlan q-in-q q-in-q-old | Allowed TPID in addition to 0x8100 on Vlan header.
pn_autoneg boolean | Choices: no yes | physical port autonegotiation.
pn_cliswitch string |  | Target switch to run the CLI on.
pn_crc_check_enable boolean | Choices: no yes | CRC check on ingress and rewrite on egress.
pn_defer_bringup boolean | Choices: no yes | defer port bringup.
pn_description string |  | physical port description.
pn_dscp_map string |  | DSCP map name to enable on port.
pn_edge_switch boolean | Choices: no yes | physical port edge switch.
pn_egress_rate_limit string |  | max egress port data rate limit.
pn_enable boolean | Choices: no yes | physical port enable.
pn_eth_mode - | Choices: 1000base-x sgmii disabled GMII | physical Ethernet mode.
pn_fabric_guard boolean | Choices: no yes | Fabric guard configuration.
pn_host_enable boolean | Choices: no yes | Host facing port control setting.
pn_intf string |  | physical interface.
pn_jumbo boolean | Choices: no yes | jumbo frames on physical port.
pn_lacp_priority string |  | LACP priority from 1 to 65535.
pn_local_switching boolean | Choices: no yes | no-local-switching port cannot bridge traffic to another no-local-switching port.
pn_loop_vlans string |  | looping vlans.
pn_loopback boolean | Choices: no yes | physical port loopback.
pn_mirror_only boolean | Choices: no yes | physical port mirror only.
pn_pause boolean | Choices: no yes | physical port pause.
pn_port string |  | physical port.
pn_port_mac_address string |  | physical port MAC Address.
pn_reflect boolean | Choices: no yes | physical port reflection.
pn_routing boolean | Choices: no yes | routing.
pn_send_port string |  | send port.
pn_speed - | Choices: disable 10m 100m 1g 2.5g 10g 25g 40g 50g 100g | physical port speed.
pn_vxlan_termination boolean | Choices: no yes | physical port vxlan termination setting.
state string / required | Choices: update | State the action to perform. Use `update` to modify the port-config.

## Examples

    - name: port config modify
      pn_port_config:
        pn_cliswitch: "sw01"
        state: "update"
        pn_port: "all"
        pn_dscp_map: "foo"

    - name: port config modify
      pn_port_config:
        pn_cliswitch: "sw01"
        state: "update"
        pn_port: "all"
        pn_host_enable: true

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the port-config command.
stdout list | always | set of responses from the port-config command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.